Bug 764805 (GLUSTER-3073) - Change documentation for AMI appliance to add port 80 as a requirement [NEEDINFO]
Summary: Change documentation for AMI appliance to add port 80 as a requirement
Keywords:
Status: ASSIGNED
Alias: GLUSTER-3073
Product: Gluster-Documentation
Classification: Community
Component: Other
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susan Carpenter
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-22 20:33 UTC by Eco
Modified: 2019-06-12 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
divya: needinfo? (eco)


Attachments (Terms of Use)

Description Eco 2011-06-22 17:41:29 UTC
Per Craig, this only affects AMI instances running in a VPC.  He is following up with Amazon to clarify what we need to document in such cases and will close or update this bug as appropriate.

Comment 1 Eco 2011-06-22 20:33:55 UTC
Please add port 80 to the list of required ports for the Amazon instances.

It was discovered recently on the dl-hacking thread that Amazon requires port 80 to communicate via it's CLI which we utilize.  Excerpts included for reference below.  Changes should be made in the release notes, pdf and online documentation as appropriate.


#############

The Amazon API (ec2-*) works on port 80, that's probably it.
...
Craig


On Jun 22, 2011, at 12:55, "Harshavardhana" <harsha@gluster.com> wrote:
strange why does nmap checks for port 80? and btw who is checking for port 80? 

On Wed, Jun 22, 2011 at 8:39 AM, Anand Avati <avati@gluster.com> wrote:
OK, this looks to be an nmap issue. The exact command we use is

nmap -n -p 24007 HOSTNAME

Looking into tcpdump while running this command results in an attempt
to establish a connection to port 80! Having port 80 filtered is
causing nmap to declare that the node is down altogether. Please
include port 80 in the list of ports.
...
Avati

>> From: Jacob Shucart [mailto:jacob@gluster.com]
> Sent: Friday, May 27, 2011 11:21 AM

> I had a user open up the following ports in their Amazon security group:

> TCP: 22
> TCP: 111
> TCP: 3389
> TCP: 24007 - 24099
> UDP: 24007 - 24099
>
> When they try to use gluster-ami-newinstance, it gets stuck with:
>
>
>
> Waiting for 1 instance(s) to start Gluster services ... (still booting)
> Waiting for 1 instance(s) to start Gluster services ... (still booting)
...

Comment 2 Divya 2012-03-13 11:02:05 UTC
Eco,

Could you please confirm if this bug is still valid for RHSSA?

Thanks,
Divya


Note You need to log in before you can comment on or make changes to this bug.